## org.jfree.report.expressions
Class ExpressionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.pentaho.reporting.libraries.base.util.StackableException
                  org.jfree.report.DataSourceException
                      org.jfree.report.expressions.ExpressionException

All Implemented Interfaces:
  java.io.Serializable

    public class ExpressionException

extends DataSourceException

Creation-Date: 08.10.2006, 16:12:43

Author:
  Thomas Morgner
See Also:
  Serialized Form

Constructor Summary
`ExpressionException(java.lang.String message)` Creates an exception.
`ExpressionException(java.lang.String message, java.lang.Exception ex)` Creates an exception.

Method Summary

Methods inherited from class org.pentaho.reporting.libraries.base.util.StackableException
`getMessage, getParent, getParentThrowable, printStackTrace, printStackTrace, printStackTrace, toString, update`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExpressionException

    public ExpressionException(java.lang.String message)

  Creates an exception.

  Parameters:
    `message` - the exception message.

### ExpressionException

    public ExpressionException(java.lang.String message,
                               java.lang.Exception ex)

  Creates an exception.

  Parameters:
    `message` - the exception message.
    `ex` - the parent exception.